vmbackup.h File Reference

Go to the source code of this file.

## Macros

#define | TOOLS_CORE_SIG_IO_FREEZE "tcs_io_freeze"

## Detailed Description

Public interface of the "vmbackup" plugin. Defines events generated by the plugin that other code can monitor.

## Macro Definition Documentation

## TOOLS_CORE_SIG_IO_FREEZE

#define TOOLS_CORE_SIG_IO_FREEZE "tcs_io_freeze"

Signal sent when access to disk resources has been affected in some manner (e.g., disks have been frozen in preparation for a snapshot). Plugins that access the disk should listen for this signal and avoid performing disk operations while I/O is frozen.

Parameters

  [in] | src | The source object.
  [in] | ctx | ToolsAppCtx *: The application context.
  [in] | freeze | TRUE if I/O is being frozen, FALSE otherwise.
  [in] | data | Client data.